﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MainPage.aspx.cs" Inherits="TestProject.MainPage" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head runat="server">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>DetailsView 클래스 사용하기</title>
    </head>
    <body>
        <form id="form" runat="server">
            <div>
                <asp:DetailsView ID="detailsView" runat="server"
                    Width="125px"
                    Height="50px"
                    DataSourceID="sqlDataSource"
                    DataKeyNames="ID"
                    AutoGenerateRows="false">
                    <Fields>
                        <asp:BoundField DataField="ID" HeaderText="ID" />
                        <asp:TemplateField HeaderText="NAME">
                            <ItemTemplate>
                                <a href="MainPage.aspx?ID=<%# Eval("ID") %>">
                                    <%# Eval("NAME") %>
                                </a>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Fields>
                </asp:DetailsView>
                <asp:SqlDataSource ID="sqlDataSource" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                    SelectCommand="SELECT ID, NAME FROM dbo.Code WHERE ID = @ID">
                    <SelectParameters>
                        <asp:QueryStringParameter Name="ID" QueryStringField="ID" Type="String" />
                    </SelectParameters>
                </asp:SqlDataSource>
            </div>
        </form>
    </body>
</html>